Update a staff member blockout
Partial update: only the fields sent change.
Path Parameters
- Type: stringFormat: uuididrequired
Staff member blockout id.
Body·
required
application/json
Any subset of writable fields. At least one is required. Unknown or read-only fields are rejected.
- Type: string | nullFormat: dateend
Date full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: string | nullreason
- Type: string | nullFormat: uuidstaff
Member Id References staffMembers.id.
- Type: string | nullFormat: datestart
Date full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for patch/staff-member-blockouts/{id}
curl https://api.weddingoperatingsystems.com/api/v1/staff-member-blockouts/123e4567-e89b-12d3-a456-426614174000 \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"staffMemberId": null,
"startDate": null,
"endDate": null,
"reason": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"staffMemberId": null,
"startDate": null,
"endDate": null,
"reason": null,
"createdTime": "2026-09-30T06:22:05.753Z",
"lastEditedTime": "2026-09-30T06:22:05.753Z"
}
}